<?php

namespace Modules\ShippingWay\Interfaces;

use Modules\ShippingWay\Models\ShippingWay;

interface ShippingWayRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): ShippingWay;
    public function update(array $request, ShippingWay $shippingWay): ShippingWay;
    public function destroy(ShippingWay $shippingWay): void;
    public function destroyAll(array $ids): void;
    public function restore(ShippingWay $shippingWay): void;
    public function restoreAll(array $ids): void;
}
